# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Argument parser for `maastest.main`."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
    )

__metaclass__ = type
__all__ = [
    "prepare_parser",
    ]

import argparse


def prepare_parser():
    # TODO: This is not tested sinc how maas-test will interface with
    # checkbox is still in flux.  Right now, this is just to get the
    # testing going.
    parser = argparse.ArgumentParser(
        description="Test whether or not a node is compatible with MAAS.")

    # The interface where the node will be plugged-in.  We allow this to be
    # omitted only for testing purposes.
    parser.add_argument(
        'interface', type=str, default=None, nargs='?',
        help="The interface on which MAAS will provide DHCP. This is "
             "the machine's interface on which the node under test should "
             "be plugged-in.")

    return parser
