#!/usr/bin/env python
# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Distutils installer for maas-test."""

from __future__ import (
    absolute_import,
    print_function,
    unicode_literals,
    )

__metaclass__ = type

from setuptools import setup


with open("requirements.txt", "rb") as fd:
    requirements = {line.strip() for line in fd}


setup(
    name='maas-test',
    version="0.1",
    packages={b'maastest'},
    package_dir={'maastest': 'maastest'},
    install_requires=requirements,
    tests_require={"testtools >= 0.9.14"},
    test_suite="maastest.tests",
    include_package_data=True,
    zip_safe=False,
    description=(
        "A utility to test if a particular piece of hardware is "
        "compatible with MAAS."),
    entry_points={
        "console_scripts": [
            "maas-test = maastest.main:main",
            ],
        },
    )
